Lintian ReportsBETA

Wstronger-dependency-implies-weaker

The tag was renamed or removed. We could not find it in Lintian version 2.113.26. That is the most recent version we know about.

Visibility: warning

In the debian/control stanza for the given package, a stronger dependency field implies one of the dependencies in a weaker dependency field. In other words, the Depends field of the package requires that one of the packages listed in Recommends or Suggests be installed, or a package is listed in Recommends as well as Suggests.

Current versions of dpkg-gencontrol will silently fix this problem by removing the weaker dependency, but it may indicate a more subtle bug (misspelling or forgetting to remove the stronger dependency when it was moved to the weaker field).

For more information please consult:

Found no packages in the archive that triggered the tag.